• 简体中文
  • 查询订单结果

    请求接口路径

    /api/pos/order/queryResult

    参数列表

    名称类型长度必填描述
    orderIdString48是商户唯一订单号
    bizTypeString32是交易类型, 枚举: Purchase

    返回值

    名称类型长度必填描述
    orderIdString48是第三方订单号
    orderNoString32是Palmpay唯一订单号
    bizTypeString32是交易类型, 枚举: Purchase
    amountLong-是订单金额
    tidString32否渠道tid
    midString32否渠道mid
    rrnString12否渠道rrn
    stanString6否渠道stan
    authCodeString20否授权id
    statusInteger32是订单状态 WAIT_NOTIFY(1) // 待通知 WAIT_PAY(2) // 待支付 PAYING(3) // 支付中 PAYED(4) // 已支付 CANCEL_PAY(5) // 取消支付 SUCCESS(6) // 业务单成功 FAIL(7) // 业务单失败 PENDING(8) // 业务单Pending
    channelRespCodeString2否渠道响应码
    remarkString256是备注
    acquirerString32否收单行
    ptspString32否支付牌照
    cardNoString20是卡号
    snString32是设备sn
    createTimeDateNone是订单创建时间
    businessIdString32否商户ID
    businessNameString32否商户名称
    shopIdString32否店铺ID
    shopNameString32否店铺名称
    phoneString20否手机号

    公共错误码

    参见此文

    Postman 请求示例

    request

    curl --location --request POST 'https://open-gw-sandbox.palmpay-inc.com/api/pos/order/queryResult' \
    --header 'Accept: application/json, text/plain, */*' \
    --header 'CountryCode: NG' \
    --header 'Authorization: Bearer L240910133611075343802' \
    --header 'Signature: oRMwNDJSbCRcXbJlnWNNXc0F0b5aTd5gT5czLfUhyZCAxm6O9IuTIKQHAsIQNkPyaeEam5wfYGaJqhv/YVdDGxOBOIbSJ+RnJUrAt9QzBhMZxLQqLawLSf8x+t3wcKqMxItianKpY6m4Hsj/vUSXWSIJJLidxVLdEOnYswH6QnJom+u8LjeK0Prwh6qbK/mdvYhUezYKfkClk9T7l2iievvpIJlAZpYAc3Wmh/Lpe65EhZ7gvp/T0rPm2qB+q9ZuRRzLrwoq5Hix8aUtTlozTJFdoBr3ySdQVm472SLILKzVPRKvt+WGRAsgywJk70yPFTCk+nOsd48+9wLFXUcl4Q==' \
    --header 'Content-Type: application/json' \
    --data '{
        "orderId": "2025test001",
        "bizType": "Purchase",
        "requestTime": 1546857549088,
        "version": "V2.0",
        "nonceStr": "tXIUBaQUUip97xhymcgvndYo6oSAvQXP"
    }'

    response

    {
      "respCode": "00000000",
      "respMsg": "success",
      "data": {
        "orderId": "2025test001",
        "orderNo": null,
        "bizType": "Purchase",
        "amount": 100,
        "tid": null,
        "mid": null,
        "rrn": null,
        "stan": null,
        "authCode": null,
        "status": 5,
        "channelRespCode": null,
        "remark": null,
        "acquirer": null,
        "ptsp": null,
        "cardNo": null,
        "sn": "PBE5226U30494",
        "createTime": 1738825867993,
        "businessId": "123112303006271",
        "businessName": "caojiangling limited",
        "shopId": "224092509473031",
        "shopName": "caojiangling3",
        "phone": null
      }
    }